Page MenuHomePhabricator

Make sure gerrit notification bot will handle redirected bugs properly
Closed, ResolvedPublic

Description

After the BZ migration, bugzilla urls will redirect to maniphest tasks. However, most open patches will still link to Bugzilla with "Bug: ###" footer. Ideally the gerrit notification bot would automatically follow those redirects and comment on the proper maniphest task so I don't have to update all my open patches.

Event Timeline

Legoktm created this task.Nov 18 2014, 11:14 PM
Legoktm raised the priority of this task from to Needs Triage.
Legoktm updated the task description. (Show Details)
Legoktm added a project: Bugzilla-Migration.
Legoktm changed Security from none to None.
Legoktm added subscribers: Legoktm, QChris.

Topic was also brought up in T169#18062

Qgil added a subscriber: Qgil.Nov 19 2014, 12:21 AM

@QChris, it's too late right now, but I'll try to find you tomorrow on IRC to discuss a possible solution.

Qgil triaged this task as Medium priority.Nov 19 2014, 11:24 AM

@Qgil, it seems we did not manage to meet in IRC today :-)

Not sure if this task is worth it.

But if we want that really need it and we have a fixed mapping between bugzilla bug number and phabricator task number, I can hook something up.

Do we really need it?
Do we have a fixed mapping between bugzilla bug numbers and phabricator task number?

I'm not sure we need the Gerrit notification bot to get involved. I assume we'll set up redirects from bugzilla.wikimedia.org and/or provide a way to find the phabricator ticket from the bugzilla page. That should be enough. The bot could use http to follow the redirect and/or bugzilla api to read the comment or a meta data field (wherever the url is left if we don't use a redirect).

Qgil raised the priority of this task from Medium to High.Nov 23 2014, 10:36 PM

What the bot needs to do is to convert Bug N in T(N + 2000).

We commented this solution with @QChris right before the migration, letting him now the theory, and the fact that (back then) we could not guarantee that such numbering fix would work.

Qgil assigned this task to QChris.Nov 23 2014, 10:37 PM

Change 175421 had a related patch set uploaded (by QChris):
Add its-phabricator-from-bugzilla f9fd2db7a62119ab9a6d1adfd3110b6e59b7a872

https://gerrit.wikimedia.org/r/175421

Patch-For-Review

Qgil awarded a token.Nov 24 2014, 12:40 PM

Thanks @Legoktm for reporting this detail and thank you @QChris for the quick and elegant fix. You just "fixed" some 1000s of links in one go.

Change 175421 merged by Chad:
Add its-phabricator-from-bugzilla f9fd2db7a62119ab9a6d1adfd3110b6e59b7a872

https://gerrit.wikimedia.org/r/175421